# ApiParcelUsageRole Data Model

This object is used to represent a role within an ApiParcelUsage.

Properties
name | data type | description
--- | --- | ---
roleRef | ApiRoleRef | A reference to the corresponding Role object.
parcelRefs | array of ApiParcelRef | A collection of references to the parcels being used by the role.

Example

    {
      "roleRef" : {
        "clusterName" : "...",
        "serviceName" : "...",
        "roleName" : "...",
        "healthSummary" : "CONCERNING",
        "roleStatus" : "NA"
      },
      "parcelRefs" : [ {
        "clusterName" : "...",
        "parcelName" : "...",
        "parcelVersion" : "...",
        "parcelDisplayName" : "..."
      }, {
        "clusterName" : "...",
        "parcelName" : "...",
        "parcelVersion" : "...",
        "parcelDisplayName" : "..."
      } ]
    }